/*!
 * @file mover_trigger_mapstart.h
 *  Gets triggered when the map starts.
 */

#ifndef _MOVER_TRIGGER_MAPSTART_H
#define _MOVER_TRIGGER_MAPSTART_H

#include "mover_trigger.h"


class MapstartTrigger : public MoverTrigger
{
    ObjectListDeclaration(MapstartTrigger);

    public:
        MapstartTrigger(const TiXmlElement* root = NULL);
        virtual void loadParams(const TiXmlElement* root);

    private:
        virtual bool checkIsTriggered();
        bool bInit;
};


#endif

